function select_selected(list, selected_value) 
{
	var count = list.options.length;
 	for (var current = 0; current < count; current ++) 
 	{
  	if (list.options[current].value == selected_value) 
  	{
   		list.options[current].selected = "1";
   		break;
  	}
 	}
}

function update_checkbox(cb, cb_hidden)
{
	cb_hidden.value = cb.checked ? 1 : 0;
}

function nop()
{
	//do nothing!
}

function popup_submit(t, w, h)
{
	tmp_t = 'popup_'+Math.round(Math.random(1)*100000);
		
	norm_width = w || 700;
	norm_height = w || 450;
	screen_x = (screen.availWidth-norm_width)/2;
	screen_y = (screen.availHeight-norm_height)/2;
	wnd = window.open('', tmp_t, 'width='+norm_width+',height='+norm_height+',resizable=yes,left='+screen_x+',top='+screen_y+',scrollbars=yes');
	wnd.focus();
	document.kernel_form.target = tmp_t;
	submit_kernel_form();
}

function inpConfirm(msg)
{
	return confirm( RemoveTranslationLink(msg) );
}

function show_props(obj, objName) {
   var result = "";
   for (var i in obj) {
         result += objName + "." + i + " = " + obj[i] + "\n";
   }   
   return result;
}


